<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKShareOpenGraphValueContainer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_b02e264201165a7c5946ce0715ae0fb3.html">FBSDKShareKit.framework</a></li><li class="navelem"><a class="el" href="dir_5c42ead9b52f068d508eb355515b1685.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FBSDKShareOpenGraphValueContainer.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2014-present, Facebook, Inc. All rights reserved.</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// You are hereby granted a non-exclusive, worldwide, royalty-free license to use,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// copy, modify, and distribute this software in source code or binary form for use</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// in connection with the web services and APIs provided by Facebook.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// As with any software that integrates with the Facebook platform, your use of</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// this software is subject to the Facebook Developer Principles and Policies</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// [http://developers.facebook.com/policy/]. This copyright notice shall be</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// included in all copies or substantial portions of the software.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html">   29</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html">FBSDKShareOpenGraphValueContaining</a> &lt;NSObject, NSSecureCoding&gt;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;- (NSArray *)arrayForKey:(NSString *)key;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;- (void)enumerateKeysAndObjectsUsingBlock:(<span class="keywordtype">void</span> (^)(NSString *key, <span class="keywordtype">id</span> <span class="keywordtype">object</span>, BOOL *stop))block;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;- (NSEnumerator *)<a class="code" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a80eba6494b84b59ae6c27775d3a5f81f">keyEnumerator</a>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;- (NSNumber *)numberForKey:(NSString *)key;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;- (NSEnumerator *)<a class="code" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#aa449ffe58bd3d27792b6a59bbbc0f571">objectEnumerator</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;- (<a class="code" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)objectForKey:(NSString *)key;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;- (id)objectForKeyedSubscript:(NSString *)key;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;- (void)parseProperties:(NSDictionary *)properties;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;- (<a class="code" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)photoForKey:(NSString *)key;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;- (void)removeObjectForKey:(NSString *)key;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160; </div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;- (void)setArray:(NSArray *)array forKey:(NSString *)key;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;- (void)setNumber:(NSNumber *)number forKey:(NSString *)key;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160; </div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;- (void)setObject:(<a class="code" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)object forKey:(NSString *)key;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;- (void)setPhoto:(<a class="code" href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a> *)photo forKey:(NSString *)key;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;- (void)setString:(NSString *)string forKey:(NSString *)key;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;- (void)setURL:(NSURL *)URL forKey:(NSString *)key;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160; </div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;- (NSString *)stringForKey:(NSString *)key;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160; </div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;- (NSURL *)URLForKey:(NSString *)key;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160; </div><div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_open_graph_value_container.html">  160</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_f_b_s_d_k_share_open_graph_value_container.html">FBSDKShareOpenGraphValueContainer</a> : NSObject &lt;<a class="code" href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html">FBSDKShareOpenGraphValueContaining</a>&gt;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_f_b_s_d_k_share_open_graph_object_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a></div><div class="ttdef"><b>Definition:</b> FBSDKShareOpenGraphObject.h:44</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_open_graph_value_container_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_open_graph_value_container.html">FBSDKShareOpenGraphValueContainer</a></div><div class="ttdef"><b>Definition:</b> FBSDKShareOpenGraphValueContainer.h:160</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_share_open_graph_value_containing-p_html_a80eba6494b84b59ae6c27775d3a5f81f"><div class="ttname"><a href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#a80eba6494b84b59ae6c27775d3a5f81f">-[FBSDKShareOpenGraphValueContaining-p keyEnumerator]</a></div><div class="ttdeci">NSEnumerator * keyEnumerator()</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_share_open_graph_value_containing-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html">FBSDKShareOpenGraphValueContaining-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKShareOpenGraphValueContainer.h:29</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_photo_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_photo.html">FBSDKSharePhoto</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharePhoto.h:26</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_share_open_graph_value_containing-p_html_aa449ffe58bd3d27792b6a59bbbc0f571"><div class="ttname"><a href="protocol_f_b_s_d_k_share_open_graph_value_containing-p.html#aa449ffe58bd3d27792b6a59bbbc0f571">-[FBSDKShareOpenGraphValueContaining-p objectEnumerator]</a></div><div class="ttdeci">NSEnumerator * objectEnumerator()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
